net.sf.jasperreports.engine.xml

## Class JRComponentRule

- java.lang.Object
- - org.apache.commons.digester.Rule
  - - net.sf.jasperreports.engine.xml.JRComponentRule

-     public class JRComponentRule
      extends org.apache.commons.digester.Rule

  A digester rule that links a `Component` object with its parent `JRDesignComponentElement`.

  This rules also sets the `component type key` on the component element via `JRDesignComponentElement.setComponentKey(ComponentKey)`. The component type key is created based on information from the XML component node; the node namespace is used as component type namespace and the node name is used as component name.

  Version:
    $Id: JRComponentRule.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.digester.Rule

      `digester, namespaceURI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRComponentRule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `end(java.lang.String namespace, java.lang.String name)`
    `static JRComponentRule` | `newInstance()`

    - ### Methods inherited from class org.apache.commons.digester.Rule

      `begin, begin, body, body, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRComponentRule

          public JRComponentRule()

  - ### Method Detail

    - #### newInstance

          public static JRComponentRule newInstance()

    - #### end

          public void end(java.lang.String namespace,
                 java.lang.String name)
                   throws JRException

      Overrides:
        `end` in class `org.apache.commons.digester.Rule`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com